# Roku Native Demo

Demo project is for demonstrating usage of Roku player collector.

# Adding roku plugin in eclipse

1) For adding roku plugin in eclipse
```
URL: https://sdkdocs.roku.com/display/sdkdoc/Roku+Plugin+for+Eclipse+IDE
```

# Installation Instructions

Following are the instructions to add collector library to your channel

1) Clone the repository
```
git clone https://gitlab.com/datazoom/roku/roku-native-demo.git
```
2) Unzip file you just cloned
3) Create a new bright script project in Eclipse IDE.

4) Empty/delete the contents of this newly created project.

5) Right click on project and click on import. Select File system(to import)

6) Browse folder DZ Roku Demo in the cloned repository. Click Open and Select All (contents of folder Dz Roku Demo).

7) Click on import.


Configuring collector library in channel

1) In MainScene.brs, please change configURL and configId as per the requirement

```	
		Sub DzCollector()
		        m.DzLib.libConfiguration = {
		            player : m.player,
		            configURL : "https://<platform name>.datazoom.io",
		            configId: "<Configuration ID>"
	       		 }
	       		 m.DzLib.initiateCollector = true
		End Sub
```
	



# Instructions to create a compiled zip file

1) Your-Project(Right click) > Export > BrightScript > BrightScript Deployment >[Change File name/path, if needed (.zip)] > Finish

2) Open browser and go to Roku's local network IP address.(eg: 192.168.0.9). Provide username and password of developer mode.

3) Click upload and select the newly created zip file. CLick install.

4) The channel will automatically start playing. This channel can also be played by-> go to roku menu, select the roku developer channel and play.

5) To view the datapoints generated by Roku, go to terminal and type
```
		telnet <Roku's Local IP> 8085
		eg: - telnet 192.168.0.9 8085
```

# Base and native collector library can also be downloaded from below repos

# Base library and library for Roku Native Player

1) Clone the repository
```
git clone https://gitlab.com/datazoom/roku/dz_collector_roku_release.git
```

( Note: DataZoom Libaries are included in Demo App. )




# Link to License/Confidentiality Agreement
Datazoom, Inc ("COMPANY") CONFIDENTIAL
Copyright (c) 2017-2018 [Datazoom, Inc.], All Rights Reserved.
NOTICE:  All information contained herein is, and remains the property of COMPANY. The intellectual and technical concepts contained
herein are proprietary to COMPANY and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed
Confidentiality and Non-disclosure agreements explicitly covering such access.
The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes
information that is confidential and/or proprietary, and is a trade secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE,
OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE
LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.
